Subject: [ietf-types] MIME type for MPEG-2 transport streams

From: Thomas Stockhammer <[email-masked]>
Date: Wed, 30 Nov 2011 11:39:35 +0100

Dear experts, 

MPEG is working in defining a generic RTP-independent MIME type for MPEG-2 transport streams to be included as an Annex in ISO/IEC 13818-1.

Please review media type registration of the MPEG-2 TS as provided below.

Please provide any comments asap, latest by December 9th.

Thanks!

Thomas

===================================================================

MIME type for MPEG-2 transport streams
T.1     Introduction

This Annex provides the formal MIME type registration for MPEG-2 transport streams. It is referenced from the registry at http://www.iana.org/.

T.2     MIME type and subtype

MIME media type name:
            video 

MIME subtype name:
            mp2t

Required parameters:
            none

Optional parameters:
            The ‘profiles’ parameter as documented in Annex T.2.1

            The 'codecs' parameter as document in Annex T.2.2

Encoding considerations:

            This type is defined for general use; for transfer via RTP see [RFC 3550].

Security considerations:
            see Annex T.3

Interoperability considerations:

            The specification defines a platform-independent expression of a presentation, and it is intended that            wide interoperability can be achieved.

Published specification:
            ISO/IEC 13818-1, Information technology — Generic coding of moving pictures and associated         audio information: Systems

Applications that use this media type:
            various, including video streaming and video broadcasting applications

Additional information:
            File extension(s):        

                        .ts

            Intended usage:            

                        COMMON

Other Information/General Comment:

            none

Person to contact for further information:

            Name: 

                        Mandayam Narasimhan

            e-mail:            

                        [email-masked]

Change controller:

            ISO/IEC JTC1/SC29 (MPEG)

T.3    Security Considerations

It is possible to inject non-compliant streams (Audio, Video, and Systems) in the transport stream to overload the receiver/decoder's buffers.  This might compromise the functionality of the receiver or even crash it.

An MPEG-2 Transport Stream is an extensible container format, and hence might carry streams that have active aspects (e.g. contain script snippets). If those subsystems are not properly defined or implemented, it may be possible to crash the receiver or temporarily make it unavailable.

T.4   Parameters
T.4.1 The profiles parameter

Parameter Name:         profiles

Parameter Value:         

The 'profiles' parameter is an optional parameter that indicates one or more profiles to which the stream claims conformance. The contents of this attribute shall conform to either the pro-simple or pro-fancy productions of RFC6381, Section 4.5. The profile identifiers reported in the MIME type parameter takes as value the transport_profile, coded as a decimal integer, e.g. profiles="1" for streams conforming to the 'strict' profile.

Example:                     video/mp2t;profiles="1"

T.4.2 The codecs parameter

Parameter Name:         codecs

Parameter Value:         

The 'codecs' parameter is an optional parameter that indicates one or more codecs which are used for the elementary streams in the MPEG-2 TS.  The contents of this attribute shall conform to either the pro-simple or pro-fancy productions of RFC6381, Section 3.2. RFC 6381 defines ‘codecs’ parameter as a single value, or a comma-separated list of values identifying the codec(s), where each value consists of one or more dot-separated elements.  The first element of such a value can be derived from the value of stream_type in the program_map_section.  If the stream_type value appears in Table T-1, the value in the first element column shall be used as the first element. If the stream_type value is between 0x80 and 0xFF, the first element may be derived in ways not specified by this Annex (e.g. by examining the contents of registration_descriptor, if used).

Table T-1 –‘codecs’ parameter values

stream_type
first element
0x01

mp1v

0x02

mp2v

0x03

mp1a

0x04

mp2a

0x0F

mp2a

0x10

mp4v

0x11

mp4a

0x1B

avc1

0x1C

mp4a

0x1D

tx3g

0x1F

svc1

0x20

mvc1

0x21

mjp2

Wherever a definition for additional elements exists in RFC 6381 for a given first element, the definition in RFC 6381 shall be followed.

When the first element of a value is ‘mp2a’ or ‘mp2v’, the second element of the codecs parameter value is the hexadecimal representation of the MP4 Registration Authority ObjectTypeIndication (OTI) for the appropriate specification and profile.

Examples:                   

                        ISO/IEC 13818-2 Main Profile

               video/mp2ts;codecs="mp2v.61"

                        ISO/IEC 13818-3 is represented

                                    video/mp2ts;codecs="mp2a.69"

                        ISO/IEC 13818-7 Low Complexity Profile

                                    video/mp2ts;codecs="mp2a.67"

                        Dolby AC-3 audio (per ATSC A/52, AC-3 audio has stream_type 0x81 and                                         format_identifier “AC-3” in the registration_descriptor )

                                                      video/mp2ts;codecs="ac-3"

ISO/IEC 13818-2 Main Profile Video together with ISO/IEC 13818-7 audio

                                    video/mp2ts;codecs="mp2v.61,mp2a.67"

===================================================================

---
Dr. Thomas Stockhammer (CEO) || [email-masked] || phone +49 89 978980 02 || cell +491725702667 || http://www.nomor-research.com
Nomor Research GmbH  -  Sitz der Gesellschaft: München - Registergericht: München, HRB 165856 – Umsatzsteuer-ID: DE238047637 - Geschäftsführer: Dr. Thomas Stockhammer, Dr. Ingo Viering.